ApiIcebergReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiIcebergReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiIcebergReplicationArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiIcebergReplicationArguments
      extends Object

  Replication Arguments for Iceberg Replication policies

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiIcebergReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiIcebergReplicationArguments` | `addExcludedTableFiltersItem(ApiHiveTable excludedTableFiltersItem)`
    `ApiIcebergReplicationArguments` | `addIncludedTableFiltersItem(ApiHiveTable includedTableFiltersItem)`
    `ApiIcebergReplicationArguments` | `addLocationMappingItem(ApiMapEntry locationMappingItem)`
    `ApiIcebergReplicationArguments` | `altStagingLocation(String altStagingLocation)`
    `ApiIcebergReplicationArguments` | `atlasChangeMarker(String atlasChangeMarker)`
    `ApiIcebergReplicationArguments` | `atlasReplicationNeeded(Boolean atlasReplicationNeeded)`
    `ApiIcebergReplicationArguments` | `batchSize(BigDecimal batchSize)`
    `boolean` | `equals(Object o)`
    `ApiIcebergReplicationArguments` | `excludedTableFilters(List<ApiHiveTable> excludedTableFilters)`
    `ApiIcebergReplicationArguments` | `exportYarnOptions(IcebergReplicationYarnOptions exportYarnOptions)`
    `ApiIcebergReplicationArguments` | `forceTest(Boolean forceTest)`
    `String` | `getAltStagingLocation()` Get altStagingLocation
    `String` | `getAtlasChangeMarker()` Get atlasChangeMarker
    `BigDecimal` | `getBatchSize()` Get batchSize
    `List<ApiHiveTable>` | `getExcludedTableFilters()` Get excludedTableFilters
    `IcebergReplicationYarnOptions` | `getExportYarnOptions()` Get exportYarnOptions
    `List<ApiHiveTable>` | `getIncludedTableFilters()` Get includedTableFilters
    `String` | `getJvmOptsForExport()` Get jvmOptsForExport
    `String` | `getJvmOptsForSync()` Get jvmOptsForSync
    `String` | `getJvmOptsForXfer()` Get jvmOptsForXfer
    `List<ApiMapEntry>` | `getLocationMapping()` Get locationMapping
    `String` | `getPolicyName()` Get policyName
    `String` | `getProxyName()` Get proxyName
    `String` | `getProxyNameOnSource()` Get proxyNameOnSource
    `Map<String,IcebergReplicationSafetyValve>` | `getSafetyValvesSource()` Get safetyValvesSource
    `Map<String,IcebergReplicationSafetyValve>` | `getSafetyValvesTarget()` Get safetyValvesTarget
    `ApiServiceRef` | `getSourceIcebergReplicationService()` Get sourceIcebergReplicationService
    `SourceStorageFilter` | `getSourceStorageFilter()` Get sourceStorageFilter
    `IcebergReplicationYarnOptions` | `getSyncYarnOptions()` Get syncYarnOptions
    `IcebergReplicationYarnOptions` | `getXferYarnOptions()` Get xferYarnOptions
    `int` | `hashCode()`
    `ApiIcebergReplicationArguments` | `includedTableFilters(List<ApiHiveTable> includedTableFilters)`
    `Boolean` | `isAtlasReplicationNeeded()` Get atlasReplicationNeeded
    `Boolean` | `isForceTest()` Get forceTest
    `Boolean` | `isRunDistcpOnSource()` Get runDistcpOnSource
    `Boolean` | `isShouldReplicateColumnStats()` Get shouldReplicateColumnStats
    `ApiIcebergReplicationArguments` | `jvmOptsForExport(String jvmOptsForExport)`
    `ApiIcebergReplicationArguments` | `jvmOptsForSync(String jvmOptsForSync)`
    `ApiIcebergReplicationArguments` | `jvmOptsForXfer(String jvmOptsForXfer)`
    `ApiIcebergReplicationArguments` | `locationMapping(List<ApiMapEntry> locationMapping)`
    `ApiIcebergReplicationArguments` | `policyName(String policyName)`
    `ApiIcebergReplicationArguments` | `proxyName(String proxyName)`
    `ApiIcebergReplicationArguments` | `proxyNameOnSource(String proxyNameOnSource)`
    `ApiIcebergReplicationArguments` | `putSafetyValvesSourceItem(String key, IcebergReplicationSafetyValve safetyValvesSourceItem)`
    `ApiIcebergReplicationArguments` | `putSafetyValvesTargetItem(String key, IcebergReplicationSafetyValve safetyValvesTargetItem)`
    `ApiIcebergReplicationArguments` | `runDistcpOnSource(Boolean runDistcpOnSource)`
    `ApiIcebergReplicationArguments` | `safetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)`
    `ApiIcebergReplicationArguments` | `safetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)`
    `void` | `setAltStagingLocation(String altStagingLocation)`
    `void` | `setAtlasChangeMarker(String atlasChangeMarker)`
    `void` | `setAtlasReplicationNeeded(Boolean atlasReplicationNeeded)`
    `void` | `setBatchSize(BigDecimal batchSize)`
    `void` | `setExcludedTableFilters(List<ApiHiveTable> excludedTableFilters)`
    `void` | `setExportYarnOptions(IcebergReplicationYarnOptions exportYarnOptions)`
    `void` | `setForceTest(Boolean forceTest)`
    `void` | `setIncludedTableFilters(List<ApiHiveTable> includedTableFilters)`
    `void` | `setJvmOptsForExport(String jvmOptsForExport)`
    `void` | `setJvmOptsForSync(String jvmOptsForSync)`
    `void` | `setJvmOptsForXfer(String jvmOptsForXfer)`
    `void` | `setLocationMapping(List<ApiMapEntry> locationMapping)`
    `void` | `setPolicyName(String policyName)`
    `void` | `setProxyName(String proxyName)`
    `void` | `setProxyNameOnSource(String proxyNameOnSource)`
    `void` | `setRunDistcpOnSource(Boolean runDistcpOnSource)`
    `void` | `setSafetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)`
    `void` | `setSafetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)`
    `void` | `setShouldReplicateColumnStats(Boolean shouldReplicateColumnStats)`
    `void` | `setSourceIcebergReplicationService(ApiServiceRef sourceIcebergReplicationService)`
    `void` | `setSourceStorageFilter(SourceStorageFilter sourceStorageFilter)`
    `void` | `setSyncYarnOptions(IcebergReplicationYarnOptions syncYarnOptions)`
    `void` | `setXferYarnOptions(IcebergReplicationYarnOptions xferYarnOptions)`
    `ApiIcebergReplicationArguments` | `shouldReplicateColumnStats(Boolean shouldReplicateColumnStats)`
    `ApiIcebergReplicationArguments` | `sourceIcebergReplicationService(ApiServiceRef sourceIcebergReplicationService)`
    `ApiIcebergReplicationArguments` | `sourceStorageFilter(SourceStorageFilter sourceStorageFilter)`
    `ApiIcebergReplicationArguments` | `syncYarnOptions(IcebergReplicationYarnOptions syncYarnOptions)`
    `String` | `toString()`
    `ApiIcebergReplicationArguments` | `xferYarnOptions(IcebergReplicationYarnOptions xferYarnOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiIcebergReplicationArguments

          public ApiIcebergReplicationArguments()

  - ### Method Detail

    - #### sourceIcebergReplicationService

          public ApiIcebergReplicationArguments sourceIcebergReplicationService(ApiServiceRef sourceIcebergReplicationService)

    - #### getSourceIcebergReplicationService

          public ApiServiceRef getSourceIcebergReplicationService()

      Get sourceIcebergReplicationService
      Returns:
        sourceIcebergReplicationService

    - #### setSourceIcebergReplicationService

          public void setSourceIcebergReplicationService(ApiServiceRef sourceIcebergReplicationService)

    - #### policyName

          public ApiIcebergReplicationArguments policyName(String policyName)

    - #### getPolicyName

          public String getPolicyName()

      Get policyName
      Returns:
        policyName

    - #### setPolicyName

          public void setPolicyName(String policyName)

    - #### includedTableFilters

          public ApiIcebergReplicationArguments includedTableFilters(List<ApiHiveTable> includedTableFilters)

    - #### addIncludedTableFiltersItem

          public ApiIcebergReplicationArguments addIncludedTableFiltersItem(ApiHiveTable includedTableFiltersItem)

    - #### getIncludedTableFilters

          public List<ApiHiveTable> getIncludedTableFilters()

      Get includedTableFilters
      Returns:
        includedTableFilters

    - #### setIncludedTableFilters

          public void setIncludedTableFilters(List<ApiHiveTable> includedTableFilters)

    - #### excludedTableFilters

          public ApiIcebergReplicationArguments excludedTableFilters(List<ApiHiveTable> excludedTableFilters)

    - #### addExcludedTableFiltersItem

          public ApiIcebergReplicationArguments addExcludedTableFiltersItem(ApiHiveTable excludedTableFiltersItem)

    - #### getExcludedTableFilters

          public List<ApiHiveTable> getExcludedTableFilters()

      Get excludedTableFilters
      Returns:
        excludedTableFilters

    - #### setExcludedTableFilters

          public void setExcludedTableFilters(List<ApiHiveTable> excludedTableFilters)

    - #### batchSize

          public ApiIcebergReplicationArguments batchSize(BigDecimal batchSize)

    - #### getBatchSize

          public BigDecimal getBatchSize()

      Get batchSize
      Returns:
        batchSize

    - #### setBatchSize

          public void setBatchSize(BigDecimal batchSize)

    - #### proxyName

          public ApiIcebergReplicationArguments proxyName(String proxyName)

    - #### getProxyName

          public String getProxyName()

      Get proxyName
      Returns:
        proxyName

    - #### setProxyName

          public void setProxyName(String proxyName)

    - #### exportYarnOptions

          public ApiIcebergReplicationArguments exportYarnOptions(IcebergReplicationYarnOptions exportYarnOptions)

    - #### getExportYarnOptions

          public IcebergReplicationYarnOptions getExportYarnOptions()

      Get exportYarnOptions
      Returns:
        exportYarnOptions

    - #### setExportYarnOptions

          public void setExportYarnOptions(IcebergReplicationYarnOptions exportYarnOptions)

    - #### xferYarnOptions

          public ApiIcebergReplicationArguments xferYarnOptions(IcebergReplicationYarnOptions xferYarnOptions)

    - #### getXferYarnOptions

          public IcebergReplicationYarnOptions getXferYarnOptions()

      Get xferYarnOptions
      Returns:
        xferYarnOptions

    - #### setXferYarnOptions

          public void setXferYarnOptions(IcebergReplicationYarnOptions xferYarnOptions)

    - #### syncYarnOptions

          public ApiIcebergReplicationArguments syncYarnOptions(IcebergReplicationYarnOptions syncYarnOptions)

    - #### getSyncYarnOptions

          public IcebergReplicationYarnOptions getSyncYarnOptions()

      Get syncYarnOptions
      Returns:
        syncYarnOptions

    - #### setSyncYarnOptions

          public void setSyncYarnOptions(IcebergReplicationYarnOptions syncYarnOptions)

    - #### shouldReplicateColumnStats

          public ApiIcebergReplicationArguments shouldReplicateColumnStats(Boolean shouldReplicateColumnStats)

    - #### isShouldReplicateColumnStats

          public Boolean isShouldReplicateColumnStats()

      Get shouldReplicateColumnStats
      Returns:
        shouldReplicateColumnStats

    - #### setShouldReplicateColumnStats

          public void setShouldReplicateColumnStats(Boolean shouldReplicateColumnStats)

    - #### atlasReplicationNeeded

          public ApiIcebergReplicationArguments atlasReplicationNeeded(Boolean atlasReplicationNeeded)

    - #### isAtlasReplicationNeeded

          public Boolean isAtlasReplicationNeeded()

      Get atlasReplicationNeeded
      Returns:
        atlasReplicationNeeded

    - #### setAtlasReplicationNeeded

          public void setAtlasReplicationNeeded(Boolean atlasReplicationNeeded)

    - #### atlasChangeMarker

          public ApiIcebergReplicationArguments atlasChangeMarker(String atlasChangeMarker)

    - #### getAtlasChangeMarker

          public String getAtlasChangeMarker()

      Get atlasChangeMarker
      Returns:
        atlasChangeMarker

    - #### setAtlasChangeMarker

          public void setAtlasChangeMarker(String atlasChangeMarker)

    - #### safetyValvesSource

          public ApiIcebergReplicationArguments safetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)

    - #### putSafetyValvesSourceItem

          public ApiIcebergReplicationArguments putSafetyValvesSourceItem(String key,
                                                                          IcebergReplicationSafetyValve safetyValvesSourceItem)

    - #### getSafetyValvesSource

          public Map<String,IcebergReplicationSafetyValve> getSafetyValvesSource()

      Get safetyValvesSource
      Returns:
        safetyValvesSource

    - #### setSafetyValvesSource

          public void setSafetyValvesSource(Map<String,IcebergReplicationSafetyValve> safetyValvesSource)

    - #### safetyValvesTarget

          public ApiIcebergReplicationArguments safetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)

    - #### putSafetyValvesTargetItem

          public ApiIcebergReplicationArguments putSafetyValvesTargetItem(String key,
                                                                          IcebergReplicationSafetyValve safetyValvesTargetItem)

    - #### getSafetyValvesTarget

          public Map<String,IcebergReplicationSafetyValve> getSafetyValvesTarget()

      Get safetyValvesTarget
      Returns:
        safetyValvesTarget

    - #### setSafetyValvesTarget

          public void setSafetyValvesTarget(Map<String,IcebergReplicationSafetyValve> safetyValvesTarget)

    - #### runDistcpOnSource

          public ApiIcebergReplicationArguments runDistcpOnSource(Boolean runDistcpOnSource)

    - #### isRunDistcpOnSource

          public Boolean isRunDistcpOnSource()

      Get runDistcpOnSource
      Returns:
        runDistcpOnSource

    - #### setRunDistcpOnSource

          public void setRunDistcpOnSource(Boolean runDistcpOnSource)

    - #### altStagingLocation

          public ApiIcebergReplicationArguments altStagingLocation(String altStagingLocation)

    - #### getAltStagingLocation

          public String getAltStagingLocation()

      Get altStagingLocation
      Returns:
        altStagingLocation

    - #### setAltStagingLocation

          public void setAltStagingLocation(String altStagingLocation)

    - #### forceTest

          public ApiIcebergReplicationArguments forceTest(Boolean forceTest)

    - #### isForceTest

          public Boolean isForceTest()

      Get forceTest
      Returns:
        forceTest

    - #### setForceTest

          public void setForceTest(Boolean forceTest)

    - #### jvmOptsForExport

          public ApiIcebergReplicationArguments jvmOptsForExport(String jvmOptsForExport)

    - #### getJvmOptsForExport

          public String getJvmOptsForExport()

      Get jvmOptsForExport
      Returns:
        jvmOptsForExport

    - #### setJvmOptsForExport

          public void setJvmOptsForExport(String jvmOptsForExport)

    - #### jvmOptsForXfer

          public ApiIcebergReplicationArguments jvmOptsForXfer(String jvmOptsForXfer)

    - #### getJvmOptsForXfer

          public String getJvmOptsForXfer()

      Get jvmOptsForXfer
      Returns:
        jvmOptsForXfer

    - #### setJvmOptsForXfer

          public void setJvmOptsForXfer(String jvmOptsForXfer)

    - #### jvmOptsForSync

          public ApiIcebergReplicationArguments jvmOptsForSync(String jvmOptsForSync)

    - #### getJvmOptsForSync

          public String getJvmOptsForSync()

      Get jvmOptsForSync
      Returns:
        jvmOptsForSync

    - #### setJvmOptsForSync

          public void setJvmOptsForSync(String jvmOptsForSync)

    - #### locationMapping

          public ApiIcebergReplicationArguments locationMapping(List<ApiMapEntry> locationMapping)

    - #### addLocationMappingItem

          public ApiIcebergReplicationArguments addLocationMappingItem(ApiMapEntry locationMappingItem)

    - #### getLocationMapping

          public List<ApiMapEntry> getLocationMapping()

      Get locationMapping
      Returns:
        locationMapping

    - #### setLocationMapping

          public void setLocationMapping(List<ApiMapEntry> locationMapping)

    - #### sourceStorageFilter

          public ApiIcebergReplicationArguments sourceStorageFilter(SourceStorageFilter sourceStorageFilter)

    - #### getSourceStorageFilter

          public SourceStorageFilter getSourceStorageFilter()

      Get sourceStorageFilter
      Returns:
        sourceStorageFilter

    - #### setSourceStorageFilter

          public void setSourceStorageFilter(SourceStorageFilter sourceStorageFilter)

    - #### proxyNameOnSource

          public ApiIcebergReplicationArguments proxyNameOnSource(String proxyNameOnSource)

    - #### getProxyNameOnSource

          public String getProxyNameOnSource()

      Get proxyNameOnSource
      Returns:
        proxyNameOnSource

    - #### setProxyNameOnSource

          public void setProxyNameOnSource(String proxyNameOnSource)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.